Skip to main content
GET
/
jobs
/
{UUID}
/
results
cURL
curl "https://api.ionq.co/v0.3/jobs/617a1f8b-59d4-435d-aa33-695433d7155e/results" \
  -H "Authorization: apiKey your-api-key"
{
  "a06df3f3-4a34-4dc2-8d4f-c0853bc49e73": {
    "0": 0.49,
    "1": 0.51
  },
  "09d698b6-18a4-4e43-8217-e7f31c097e79": {
    "0": 0.49,
    "1": 0.51
  },
  "b1c2d3e4-f5a6-7b8c-9d0e-1f2a3b4c5d6e": {
    "status": "failed"
  }
}

Authorizations

Authorization
string
header
required

API keys are associated with a user and can be created on the IonQ Quantum Cloud application. To authenticate, prefix your API Key with apiKey and place it in the Authorization request header. Ex: Authorization: apiKey your-api-key

Path Parameters

UUID
string<uuid>
required

The UUID of the job — this UUID is provided in the response on job creation.

Query Parameters

sharpen
boolean

Get sharpened results from debiasing. Off by default. Will generally return more accurate results if your expected output distribution has peaks.

Response

200 - application/json

Successfully retrieved results for a job.

For multi-circuit jobs, the response is an object keyed by the UUID of each child circuit. When a child circuit has finished successfully, its value is the probability distribution for that circuit. When a child circuit has not yet completed (or did not complete successfully), its value is an object containing a status field describing the current state of that child circuit (e.g. submitted, ready, running, canceled, failed).

{key}
object

Probability distribution for a completed circuit, keyed by bitstring outcome.

Example:
{ "0": 0.49, "1": 0.51 }